import { createScatterPlot } from './scatter.js';

const csvUrl =
  'https://gist.githubusercontent.com/Prathi0410/df78d778e3862b3f3ac68b106daace50/raw/dabdc629391fba58b8ec79fbaf9f53acd3741217/phones%2520data.ice7';
const parseRow = (d) => {
  d.Price = +d.Price;
  d.SalesVolume = +d.SalesVolume;
  return d;
};

const width = 800;
const height = 600;

const scatterPlot = createScatterPlot()
  .width(width)
  .height(height)
  .margin({ top: 20, right: 20, bottom: 40, left: 60 })
  .radius(5);

const svg = d3.select('#scatter-plot');

const main = async () => {
  const data = await d3.csv(csvUrl, parseRow);

  let i = 0;
  setInterval(() => {
    const columns = ['Price', 'SalesVolume'];
    scatterPlot.xValue(
      (d) => d[columns[i % columns.length]],
    );
    svg.call(scatterPlot.data(data));
    i++;
  }, 2000); // Change columns every 2 seconds
};

main();
